Bug 137525 - Patch to fix compile problems
Patch to fix compile problems
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: SDL_net (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-29 05:03 EDT by Kees
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.2.5-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-09 16:50:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kees 2004-10-29 05:03:46 EDT
Description of problem:

freeCNC won't compile using the SDL_net from rawhide (SDL_net-1.2.5-2
).
This patch fixes the problem:

[kvdb@localhost ~]$ diff -u /usr/include/SDL/SDL_net.h_org
/usr/include/SDL/SDL_net.h
--- /usr/include/SDL/SDL_net.h_org      2004-10-29 11:02:20.062915402
+0200
+++ /usr/include/SDL/SDL_net.h  2004-10-29 11:00:20.160547312 +0200
@@ -413,7 +413,7 @@
 #endif
 /* Ends C function definitions when using C++ */
 #ifdef __cplusplus
-};
+}
 #endif
 #include "close_code.h"
Comment 1 Ville Skyttä 2005-06-09 16:50:41 EDT
Applied in 1.2.5-5 (in Extras).

Note You need to log in before you can comment on or make changes to this bug.